Page MenuHomePhabricator

Hide opt_in radio buttons when the choice has been provided on the query string
Closed, ResolvedPublic2 Estimated Story Points

Description

This is a little trickier than it seems at first. If we just check to see whether we have a value for it at all, we'll be hiding the fields on form re-display (for example, when an error occurs on the first form post). We'll have to implement a thing we've thought about for a while, which is to track in session WHERE we found each piece of data.

Event Timeline

Ejegg created this task.Feb 27 2019, 4:27 PM

Change 493334 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP hide opt_in buttons when given on querystring

https://gerrit.wikimedia.org/r/493334

Ejegg claimed this task.Feb 28 2019, 10:31 PM
Ejegg triaged this task as Medium priority.
Ejegg set the point value for this task to 2.

Change 493334 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Hide opt_in buttons when given on querystring

https://gerrit.wikimedia.org/r/493334

Change 494382 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] Hide opt_in buttons when given on querystring

https://gerrit.wikimedia.org/r/494382

Change 494382 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@deployment] Hide opt_in buttons when given on querystring

https://gerrit.wikimedia.org/r/494382

This is deployed - the radio buttons for the opt_in choices only appear when the donor is from a country where the field is required, and the donor has NOT indicated an opt_in choice on a banner or donatewiki.

However, the only countries where the field is required are IE and GB - @CCogdill_WMF and others, should we add more countries to that list?

Translations exist for the yes/no text and the explanation below in these languages:
ar
ast
de
en
fr
he
id
ja
mk
nb
pt-br
pt
roa-tara
uk
vi
zh-hans
zh-hant

Yeah, good thinking! We should add all EU / UK countries to the list where
translations exist. Do you need an exhaustive list or is that directive
clear enough?

Ejegg added a comment.Mar 5 2019, 5:02 PM

Besides GB & IE for English, it looks like we can add Germany, France, Portugal, Ukraine, and North Macedonia. I guess Asturian (ast) is spoken in a part of Spain and Tarantino (roa-tara) in a part of Italy, but since es and it aren't on the list yet we shouldn't jump the gun.

We have translations for Italian already--they ran on donate wiki in the
itIT email fundraiser. Not sure where the translation lives.

Ejegg closed this task as Resolved.Mar 19 2019, 7:43 PM